### Function

# GdkPixbuf Pixbuf new_from_stream_at_scale_async

#### Declaration [src]

    void
    gdk_pixbuf_new_from_stream_at_scale_async (
      GInputStream* stream,
      gint width,
      gint height,
      gboolean preserve_aspect_ratio,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Creates a new pixbuf by asynchronously loading an image from an input stream.

For more details see gdk_pixbuf_new_from_stream_at_scale(), which is the synchronous version of this function.

When the operation is finished, `callback` will be called in the main thread. You can then call `gdk_pixbuf_new_from_stream_finish()` to get the result of the operation.

Available since: | 2.24

#### Parameters

`stream` | `GInputStream`
| A `GInputStream` from which to load the pixbuf.
| The data is owned by the caller of the function.
`width` | `gint`
| The width the image should have or -1 to not constrain the width.
`height` | `gint`
| The height the image should have or -1 to not constrain the height.
`preserve_aspect_ratio` | `gboolean`
| `TRUE` to preserve the image’s aspect ratio.
`cancellable` | `GCancellable`
| Optional `GCancellable` object, `NULL` to ignore.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A `GAsyncReadyCallback` to call when the pixbuf is loaded.
`user_data` | `gpointer`
| The data to pass to the callback function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.